<?php




namespace ln\jobs;


use app\common\repositories\store\broadcast\BroadcastGoodsRepository;
use ln\interfaces\JobInterface;
use ln\services\YunxinSmsService;
use think\facade\Log;

class ApplyBroadcastGoodsJob implements JobInterface
{

    public function fire($job, $goodsId)
    {
        $broadcastRoomGoodsRepository = app()->make(BroadcastGoodsRepository::class);
        $goods = $broadcastRoomGoodsRepository->get($goodsId);
        if ($goods) {
            try {
                $res = $broadcastRoomGoodsRepository->wxCreate($goods);
            } catch (\Exception $e) {
                $goods->error_msg = $e->getMessage();
                $goods->status = -1;
            }
            if (isset($res)) {
                $goods->goods_id = $res->goodsId;
                $goods->audit_id = $res->auditId;
                $goods->status = 1;
            }
            $goods->save();
        }
        $job->delete();
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
